Bug 184087 - [PATCH] databases/postgresql-plruby: Work on postgresql > 8.4
Summary: [PATCH] databases/postgresql-plruby: Work on postgresql > 8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-19 15:00 UTC by Mathieu Arnold
Modified: 2013-12-02 13:50 UTC (History)
0 users

See Also:


Attachments
postgresql-plruby-0.5.4_2.patch (4.89 KB, patch)
2013-11-19 15:00 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2013-11-19 15:00:00 UTC
Make the port work on postgresql > 8.4.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-11-19 15:00:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->knu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mathieu Arnold freebsd_committer 2013-12-02 13:41:29 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2013-12-02 13:41:32 UTC
Author: mat
Date: Mon Dec  2 13:41:23 2013
New Revision: 335486
URL: http://svnweb.freebsd.org/changeset/ports/335486

Log:
  Make the port work on postgresql > 8.4.
  
  maintainer timeout.
  
  PR:		ports/184087
  Submitted by:	mat

Added:
  head/databases/postgresql-plruby/files/patch-src__plruby.h   (contents, props changed)
Deleted:
  head/databases/postgresql-plruby/files/patch-bitand-bitor
Modified:
  head/databases/postgresql-plruby/Makefile
  head/databases/postgresql-plruby/distinfo   (contents, props changed)

Modified: head/databases/postgresql-plruby/Makefile
==============================================================================
--- head/databases/postgresql-plruby/Makefile	Mon Dec  2 13:34:41 2013	(r335485)
+++ head/databases/postgresql-plruby/Makefile	Mon Dec  2 13:41:23 2013	(r335486)
@@ -1,28 +1,27 @@
 # Created by: Akinori MUSHA aka knu <knu@idaemons.org>
 # $FreeBSD$
 
-PORTNAME=	plruby
+PORTNAME=	postgresql-plruby
 PORTVERSION=	0.5.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases ruby
-MASTER_SITES=	RF/${PORTNAME} \
-		ftp://ftp.iDaemons.org/pub/distfiles/
-PKGNAMEPREFIX=	postgresql-
 DIST_SUBDIR=	ruby
 
-PATCHFILES=	df2c4d39cdda35e1cb842106b22aaa10df2760e6.diff
-PATCH_SITES=	http://github.com/knu/postgresql-plruby/commit/
-PATCH_DIST_STRIP=	-p1
-
 MAINTAINER=	knu@FreeBSD.org
 COMMENT=	PL/Ruby procedural language for the PostgreSQL database system
 
+USE_GITHUB=	yes
+GH_ACCOUNT=	CraigCottingham
+GH_TAGNAME=	${GH_COMMIT}
+GH_COMMIT=	f8d9ced
+
+USES=	uidfix
 USE_BZIP2=	yes
 USE_PGSQL=	server
-WANT_PGSQL_VER=	84-
 USE_RUBY=	yes
 USE_RUBY_EXTCONF=	yes
 USE_RUBY_RDOC=		yes
+NEED_ROOT=	yes
 
 POSTGRESQL_PORT?=	databases/postgresql${PGSQL_VER}-server
 PGSQL_PORTDIR?=		${PORTSDIR}/${POSTGRESQL_PORT}
@@ -39,8 +38,7 @@ DOCS=		Changes plruby.html plruby.rd
 
 PKGMESSAGE=	${WRKDIR}/createlang.sql
 
-NO_STAGE=	yes
-pre-patch:
+post-fetch:
 	cd ${PGSQL_PORTDIR} && ${MAKE} -DBATCH patch
 
 post-build:
@@ -53,18 +51,17 @@ post-build:
 .include <bsd.port.pre.mk>
 
 post-install:
+	@${MKDIR} ${STAGEDIR}${RUBY_MODEXAMPLESDIR}/
+	${INSTALL_DATA} ${WRKDIR}/createlang.sql ${STAGEDIR}${RUBY_MODEXAMPLESDIR}/
 .if !defined(NOPORTDOCS)
-	${MKDIR} ${RUBY_MODEXAMPLESDIR}/
-	${INSTALL_DATA} ${WRKDIR}/createlang.sql ${RUBY_MODEXAMPLESDIR}/
-	${MKDIR} ${RUBY_MODDOCDIR}
-	(cd ${WRKSRC}/ && ${COPYTREE_SHARE} docs/doc ${RUBY_MODDOCDIR}/ README.en && ${INSTALL_DATA} ${DOCS} ${RUBY_MODDOCDIR}/)
-	@${FIND} -ds ${RUBY_MODDOCDIR} -type f -print | ${SED} -E -e \
-		's,^${PREFIX}/?,,' >> ${TMPPLIST}
-	@${FIND} -ds ${RUBY_MODDOCDIR} -type d -print | ${SED} -E -e \
-		's,^${PREFIX}/?,@dirrm ,' >> ${TMPPLIST}
-	@${ECHO_CMD} "@unexec rmdir %D/share/doc/ruby19/ 2>/dev/null || true" \
+	@${MKDIR} ${STAGEDIR}${RUBY_MODDOCDIR}
+	cd ${WRKSRC}/ && ${COPYTREE_SHARE} docs/doc ${STAGEDIR}${RUBY_MODDOCDIR}/ README.markdown && ${INSTALL_DATA} ${DOCS} ${STAGEDIR}${RUBY_MODDOCDIR}/
+	${FIND} -ds ${STAGEDIR}${RUBY_MODDOCDIR} -type f -print | ${SED} -E -e \
+		's,^${STAGEDIR}${PREFIX}/?,,' >> ${TMPPLIST}
+	${FIND} -ds ${STAGEDIR}${RUBY_MODDOCDIR} -type d -print | ${SED} -E -e \
+		's,^${STAGEDIR}${PREFIX}/?,@dirrm ,' >> ${TMPPLIST}
+	${ECHO_CMD} "@unexec rmdir %D/share/doc/ruby19/ 2>/dev/null || true" \
 		>> ${TMPPLIST}
 .endif
-	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>

Modified: head/databases/postgresql-plruby/distinfo
==============================================================================
--- head/databases/postgresql-plruby/distinfo	Mon Dec  2 13:34:41 2013	(r335485)
+++ head/databases/postgresql-plruby/distinfo	Mon Dec  2 13:41:23 2013	(r335486)
@@ -1,4 +1,2 @@
-SHA256 (ruby/plruby-0.5.4.tar.bz2) = 8ba24ea19d9e365dc8b32f28e7c287e0dfe993fc865d4ba392acf96947f03bc2
-SIZE (ruby/plruby-0.5.4.tar.bz2) = 96126
-SHA256 (ruby/df2c4d39cdda35e1cb842106b22aaa10df2760e6.diff) = 90a081b4dfd45a4793a1b97a1aef8554acf83afbefae674581703df0c43d0e2a
-SIZE (ruby/df2c4d39cdda35e1cb842106b22aaa10df2760e6.diff) = 261
+SHA256 (ruby/postgresql-plruby-0.5.4.tar.bz2) = 0d28a2450690f836ae9a810c476a29b1175fb51444e7a2a34c46016b04d6c86f
+SIZE (ruby/postgresql-plruby-0.5.4.tar.bz2) = 125753

Added: head/databases/postgresql-plruby/files/patch-src__plruby.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/postgresql-plruby/files/patch-src__plruby.h	Mon Dec  2 13:41:23 2013	(r335486)
@@ -0,0 +1,21 @@
+--- ./src/plruby.h.orig	2012-12-23 14:51:17.000000000 +0100
++++ ./src/plruby.h	2013-11-19 15:29:16.000000000 +0100
+@@ -7,6 +7,7 @@
+ #include "executor/executor.h"
+ #include "commands/trigger.h"
+ #include "utils/elog.h"
++#include "utils/rel.h"
+ #include "utils/builtins.h"
+ #include "fmgr.h"
+ #include "access/heapam.h"
+@@ -35,6 +36,10 @@
+ #include "utils/memutils.h"
+ #endif
+ 
++#if PG_PL_VERSION >= 93
++#include "access/htup_details.h"
++#endif
++
+ #include "package.h"
+ 
+ #include <ruby.h>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"